Class: Aws::RAM::Types::UpdateResourceShareResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::RAM::Types::UpdateResourceShareResponse
- Defined in:
- gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#client_token ⇒ String
The idempotency identifier associated with this request.
-
#resource_share ⇒ Types::ResourceShare
Information about the resource share.
Instance Attribute Details
#client_token ⇒ String
The idempotency identifier associated with this request. If you want
to repeat the same operation in an idempotent manner then you must
include this value in the clientToken request parameter of that
later call. All other parameters must also have the same values that
you used in the first call.
4108 4109 4110 4111 4112 4113 |
# File 'gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb', line 4108 class UpdateResourceShareResponse < Struct.new( :resource_share, :client_token) SENSITIVE = [] include Aws::Structure end |
#resource_share ⇒ Types::ResourceShare
Information about the resource share.
4108 4109 4110 4111 4112 4113 |
# File 'gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb', line 4108 class UpdateResourceShareResponse < Struct.new( :resource_share, :client_token) SENSITIVE = [] include Aws::Structure end |